## cloud-init 18.2-14-g6d48d265

=== debian/changelog ===
cloud-init (18.2-14-g6d48d265-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - net: Depend on iproute2's ip instead of net-tools ifconfig or route
    - DataSourceSmartOS: fix hang when metadata service is down
      [Mike Gerdts] (LP: #1667735)
    - DataSourceSmartOS: change default fs on ephemeral disk from ext3 to
      ext4. [Mike Gerdts] (LP: #1763511)
    - pycodestyle: Fix invalid escape sequences in string literals.
    - Implement bash completion script for cloud-init command line

 -- Chad Smith <chad.smith@canonical.com>  Wed, 18 Apr 2018 15:25:53 -0600

cloud-init (18.2-9-g49b562c9-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - tools: Fix make-tarball cli tool usage for development
    - renderer: support unicode in render_from_file.
    - Implement ntp client spec with auto support for distro selection
      (LP: #1749722)
    - Apport: add Brightbox, IBM, LXD, and OpenTelekomCloud to list of clouds.
    - tests: fix ec2 integration network metadata validation

 -- Chad Smith <chad.smith@canonical.com>  Thu, 12 Apr 2018 16:06:24 -0600

cloud-init (18.2-4-g05926e48-0ubuntu2) bionic; urgency=medium

  * debian/cloud-init.templates: enable IBMCloud by default (LP: #1762773).

 -- Scott Moser <smoser@ubuntu.com>  Tue, 10 Apr 2018 21:21:17 -0400

cloud-init (18.2-4-g05926e48-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - tests: fix integration tests to support lxd 3.0 release
    - correct documentation to match correct attribute name usage.
      [Dominic Schlegel] (LP: #1420018)
    - cc_resizefs, util: handle no /dev/zfs
    - doc: Fix links in OpenStack datasource documentation.
      [Dominic Schlegel] (LP: #1721660)

 -- Chad Smith <chad.smith@canonical.com>  Tue, 03 Apr 2018 16:54:45 -0600

cloud-init (18.2-0ubuntu1) bionic; urgency=medium

  * debian/control: Add missing dependency on isc-dhcp-client (LP: #1759307).
  * New upstream snapshot.
    - release 18.2 (LP: #1759318)
    - Hetzner: Exit early if dmi system-manufacturer is not Hetzner.
    - Add missing dependency on isc-dhcp-client to trunk ubuntu packaging.
      (LP: #1759307)
    - FreeBSD: resizefs module now able to handle zfs/zpool.
      [Dominic Schlegel] (LP: #1721243)
    - cc_puppet: Revert regression of puppet creating ssl and ssl_cert dirs
    - Enable IBMCloud datasource in settings.py.

 -- Chad Smith <chad.smith@canonical.com>  Tue, 27 Mar 2018 14:59:58 -0600

cloud-init (18.1-35-ge0f644b7-0ubuntu2) bionic; urgency=medium

  * debian/: drop grub-legacy-ec2 package, which is now in its own source
    package (LP: #1758420).

 -- Scott Moser <smoser@ubuntu.com>  Mon, 26 Mar 2018 16:54:34 -0400

cloud-init (18.1-35-ge0f644b7-0ubuntu1) bionic; urgency=medium

  * debian/cloud-init.templates: enable IBMCloud datasource.
  * New upstream snapshot.
    - IBMCloud: Initial IBM Cloud datasource.
    - tests: remove jsonschema from xenial tox environment.
    - tests: Fix newly added schema unit tests to skip if no jsonschema.
    - ec2: Adjust ec2 datasource after exception_cb change.
    - Reduce AzurePreprovisioning HTTP timeouts.
      [Douglas Jordan] (LP: #1752977)
    - Revert the logic of exception_cb in read_url.
      [Kurt Garloff] (LP: #1702160, #1298921)
    - ubuntu-advantage: Add new config module to support
      ubuntu-advantage-tools
    - Handle global dns entries in netplan (LP: #1750884)
    - Identify OpenTelekomCloud Xen as OpenStack DS.
      [Kurt Garloff] (LP: #1756471)

 -- Chad Smith <chad.smith@canonical.com>  Fri, 23 Mar 2018 17:20:47 -0600

cloud-init (18.1-26-g685f9901-0ubuntu1) bionic; urgency=medium

  * debian/cloud-init.templates: Enable Hetzner Cloud datasource.
  * New upstream snapshot.
    - datasources: fix DataSource subclass get_hostname method signature
      (LP: #1757176)
    - OpenNebula: Update network to return v2 config rather than ENI.
      [Akihiko Ota]
    - Add Hetzner Cloud DataSource [Markus Schade]

 -- Chad Smith <chad.smith@canonical.com>  Tue, 20 Mar 2018 16:39:07 -0600

cloud-init (18.1-23-gde34dc7c-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - net: recognize iscsi root cases without ip= on kernel command line.
      (LP: #1752391)
    - tests: fix flakes warning for unused variable
    - tests: patch leaked stderr messages from snap unit tests
    - cc_snap: Add new module to install and configure snapd and snap
      packages.
    - tests: Make pylint happy and fix python2.6 uses of assertRaisesRegex.
    - netplan: render bridge port-priority values (LP: #1735821)

 -- Chad Smith <chad.smith@canonical.com>  Fri, 16 Mar 2018 15:48:04 -0600

cloud-init (18.1-17-g97012fbb-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - util: Fix subp regression. Allow specifying subp command as a string.
      (LP: #1755965)
    - doc: fix all warnings issued by 'tox -e doc'
    - FreeBSD: Set hostname to FQDN. [Dominic Schlegel] (LP: #1753499)
    - tests: fix run_tree and bddeb
    - tests: Fix some warnings in tests that popped up with newer python.
    - set_hostname: When present in metadata, set it before network bringup.
      (LP: #1746455)
    - tests: Centralize and re-use skipTest based on json schema presense.
    - This commit fixes get_hostname on the AzureDataSource.
      [Douglas Jordan] (LP: #1754495)
    - shellify: raise TypeError on bad input.
    - Make salt minion module work on FreeBSD.
      [Dominic Schlegel] (LP: #1721503)
    - Simplify some comparisions. [Rémy Léone]
    - Change some list creation and population to literal. [Rémy Léone]

 -- Chad Smith <chad.smith@canonical.com>  Thu, 15 Mar 2018 14:48:29 -0600

cloud-init (18.1-5-g40e77380-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - GCE: fix reading of user-data that is not base64 encoded. (LP: #1752711)
    - doc: fix chef install from apt packages example in RTD.
    - Implement puppet 4 support [Romanos Skiadas] (LP: #1446804)

