=== debian/control ===
Source: cloud-init
Section: admin
Priority: extra
Maintainer: Scott Moser <smoser@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               iproute2,
               isc-dhcp-client,
               pep8,
               po-debconf,
               pyflakes,
               python3,
               python3-configobj,
               python3-httpretty,
               python3-jinja2,
               python3-jsonpatch,
               python3-jsonschema,
               python3-mock,
               python3-nose,
               python3-oauthlib,
               python3-pep8,
               python3-pyflakes | pyflakes (<< 1.1.0-2),
               python3-requests,
               python3-serial,
               python3-setuptools,
               python3-six,
               python3-unittest2,
               python3-yaml
XS-Python-Version: all
Vcs-Browser: https://git.launchpad.net/cloud-init/?h=ubuntu/devel
Vcs-Git: git://git.launchpad.net/cloud-init -b ubuntu/devel
Standards-Version: 3.9.8

Package: cloud-init
Architecture: all
Depends: cloud-guest-utils | cloud-utils,
         nplan | ifupdown,
         procps,
         python3,
         python3-requests,
         python3-serial,
         ${misc:Depends},
         ${python3:Depends}
Recommends: eatmydata, gdisk, software-properties-common
XB-Python-Version: ${python:Versions}
Description: Init scripts for cloud instances
 Cloud instances need special scripts to run during initialisation
 to retrieve and install ssh keys and to let the user run various scripts.
