## cloud-init 18.3

=== debian/changelog ===
cloud-init (18.3-6) unstable; urgency=high

  * CVE-2019-0816: Extraneous SSH Public Keys added to Authorized Keys file.
    Applied a refreshed patch from upstream: azure: Filter list of ssh keys
    pulled from fabric (Closes: #926043).

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Apr 2019 08:54:18 +0200

cloud-init (18.3-5) unstable; urgency=medium

  * Make tests running with current bash.

 -- Bastian Blank <waldi@debian.org>  Fri, 08 Feb 2019 14:47:07 +0100

cloud-init (18.3-4) unstable; urgency=medium

  * Remove debconf setup of data source.
  * Don't override apt pipelining.
  * Only handle preseed on initial installation.
  * Drop all config migration for versions older then Stretch.
  * Update vcs links to point to salsa.debian.org.
  * Drop obsolete build-dependency on dh-systemd.

 -- Bastian Blank <waldi@debian.org>  Fri, 08 Feb 2019 10:39:53 +0100

cloud-init (18.3-3) unstable; urgency=medium

  * Start cloud-init before chronyd (Closes: #910801).

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Oct 2018 10:48:01 +0200

cloud-init (18.3-2) unstable; urgency=medium

  * Upload to Unstable.
  * Rename the NetworkManager hook (Closes: #909557).

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Oct 2018 07:37:44 +0200

cloud-init (18.3-1) experimental; urgency=medium

  * New upstream release (Closes: #907672):
    - Do not timestamp sudoers files (Closes: #788103).
  * Drop patches applied upstream or now irrelevant:
    - 0001-Fix-the-path-to-blkid-in-test-suite.patch
    - 0004-debian-sources.list.patch
    - 0005-Update-syntax-of-rsyslog-snippet-is-deprecated.patch
    - 0008-sysvinit-fs-dependencies.patch
    - 0010-PATCH-Fix-Python-code-style-errors-Closes-865577.patch
    - 0011-Trust-PATH-for-udevadm-and-modprobe.patch
  * Refreshed / rebased patches:
    - 0002-disable-rhel-set-hostname-test.patch
    - 0003-Make-Azure-datasource-run-without-root.patch
    - 0006-Skip-test_apt_v3_mirror_search_dns.patch
    - 0007-Skip-Cloudstack-tests-that-expect-network.patch
    - 0009-Drop-all-unused-extended-version-handling.patch
    - 0012-Fix-message-when-a-local-is-missing.patch
  * Runtime depends on fdisk (Closes: #872114).
  * Added Suggests: btrfs-progs, e2fsprogs, xfsprogs (Closes: #887226).
  * Removed  Miguel Landaeta and Julien Danjou from uploaders, as they haven't
    been active.
  * Removed tools/hacking.py from debian/copyright (the file doesn't exist
    anymore).
  * Add python3-jsonschema as build-depends.
  * Build-Depends needs 0.9.5 for python3-httpretty.

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Sep 2018 13:18:40 +0200
