## cloud-init 18.4-7-g4652b196

=== debian/changelog ===
cloud-init (18.4-7-g4652b196-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - tests: meta_data key changed to meta-data in ec2 instance-data.json
      (LP: #1797231)
    - tests: fix kvm integration test to assert flexible config-disk path
      (LP: #1797199)

 -- Chad Smith <chad.smith@canonical.com>  Thu, 11 Oct 2018 09:24:46 -0600

cloud-init (18.4-5-g6ee8a2c5-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - tools: Add cloud-id command line utility
    - instance-data: Add standard keys platform and subplatform. Refactor ec2.
    - net: ignore nics that have "zero" mac address. (LP: #1796917)
    - tests: fix apt_configure_primary to be more flexible
    - Ubuntu: update sources.list to comment out deb-src entries. (LP: #74747)

 -- Chad Smith <chad.smith@canonical.com>  Tue, 09 Oct 2018 16:56:35 -0600

cloud-init (18.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
    - release 18.4
    - tests: allow skipping an entire cloud_test without running.
    - tests: disable lxd tests on cosmic
    - cii-tests: use unittest2.SkipTest in ntp_chrony due to new deps
    - lxd: adjust to snap installed lxd.
    - docs: surface experimental doc in instance-data.json
    - tests: fix ec2 integration tests. process meta_data instead of meta-data
    - Add support for Infiniband network interfaces (IPoIB). [Mark Goddard]
    - cli: add cloud-init query subcommand to query instance metadata
    - tools/tox-venv: update for new features.
    - pylint: ignore warning assignment-from-no-return for _write_network
    - stages: Fix bug causing datasource to have incorrect sys_cfg.
    - Remove dead-code _write_network distro implementations.
    - net_util: ensure static configs have netmask in translate_network result
      [Thomas Berger]
    - Fall back to root:root on syslog permissions if other options fail.
      [Robert Schweikert]
    - tests: Add mock for util.get_hostname. [Robert Schweikert]

 -- Chad Smith <chad.smith@canonical.com>  Tue, 02 Oct 2018 19:55:23 -0600

cloud-init (18.3-46-gbb60f61b-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - ds-identify: doc string cleanup.
    - OpenStack: Support setting mac address on bond. [Fabian Wiesel]

 -- Ryan Harper <ryan.harper@canonical.com>  Fri, 14 Sep 2018 16:13:19 -0500

cloud-init (18.3-44-g84bf2482-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - bash_completion/cloud-init: fix shell syntax error.
    - EphemeralIPv4Network: Be more explicit when adding default route.
    - OpenStack: support reading of newer versions of metdata.
    - OpenStack: fix bug causing 'latest' version to be used from network.
    - user-data: jinja template to render instance-data.json in cloud-config

 -- Ryan Harper <ryan.harper@canonical.com>  Fri, 14 Sep 2018 14:06:29 -0500

cloud-init (18.3-39-g757247f9-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - config: disable ssh access to a configured user account

 -- Ryan Harper <ryan.harper@canonical.com>  Mon, 10 Sep 2018 17:11:51 -0500

cloud-init (18.3-38-gd47d404e-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - tests: print failed testname instead of docstring upon failure
    - tests: Disallow use of util.subp except for where needed.
    - sysconfig: refactor sysconfig to accept distro specific templates paths

 -- Ryan Harper <ryan.harper@canonical.com>  Wed, 05 Sep 2018 16:03:46 -0500

cloud-init (18.3-35-g3f6d0972-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - Add unit tests for config/cc_ssh.py [Francis Ginther]
    - Fix the built-in cloudinit/tests/helpers:skipIf
    - read-version: enhance error message [Joshua Powers]
    - hyperv_reporting_handler: simplify threaded publisher
    - VMWare: Fix a network config bug in vm with static IPv4 and no gateway.
      [Pengpeng Sun]
    - logging: Add logging config type hyperv for reporting via Azure KVP
      [Andy Liu]

 -- Chad Smith <chad.smith@canonical.com>  Sat, 01 Sep 2018 12:08:52 -0600

cloud-init (18.3-29-gdab59087-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - tests: disable other snap test as well [Joshua Powers]
    - tests: disable snap, fix write_files binary [Joshua Powers]
    - Add datasource Oracle Compute Infrastructure (OCI).
    - azure: allow azure to generate network configuration from IMDS per boot.
    - Scaleway: Add network configuration to the DataSource [Louis Bouchard]

 -- Scott Moser <smoser@ubuntu.com>  Fri, 24 Aug 2018 16:13:36 -0400

cloud-init (18.3-24-gf6249277-0ubuntu1) cosmic; urgency=medium

  * debian/cloud-init.templates: enable Oracle Compute Infrastructure by
    default
  * New upstream snapshot.
    - docs: Fix example cloud-init analyze command to match output.
      [Wesley Gao]
    - netplan: Correctly render macaddress on a bonds and bridges when
      provided.
    - tools: Add 'net-convert' subcommand command to 'cloud-init devel'.
    - redhat: remove ssh keys on new instance.
    - Use typeset or local in profile.d scripts.
    - OpenNebula: Fix null gateway6 [Akihiko Ota]

 -- Chad Smith <chad.smith@canonical.com>  Thu, 09 Aug 2018 10:27:29 -0600

cloud-init (18.3-18-g3cee0bf8-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - oracle: fix detect_openstack to report True on OracleCloud.com DMI data
    - tests: improve LXDInstance trying to workaround or catch bug.
    - update_metadata re-config on every boot comments and tests not quite
      right [Mike Gerdts]
    - tests: Collect build_info from system if available.
    - pylint: Fix pylint warnings reported in pylint 2.0.0.
    - get_linux_distro: add support for rhel via redhat-release.
    - get_linux_distro: add support for centos6 and rawhide flavors of redhat
    - tools: add '--debug' to tools/net-convert.py
    - tests: bump the version of paramiko to 2.4.1.

 -- Chad Smith <chad.smith@canonical.com>  Tue, 31 Jul 2018 12:50:28 -0600


