## cloud-init 18.5-21-g8ee294d5

=== debian/changelog ===
cloud-init (18.5-21-g8ee294d5-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream snapshot. (LP: #1813346)
    - opennebula: also exclude epochseconds from changed environment vars
    - systemd: Render generator from template to account for system
      differences. [Robert Schweikert]
    - sysconfig: On SUSE, use STARTMODE instead of ONBOOT [Robert Schweikert]
    - flake8: use ==/!= to compare str, bytes, and int literals
      [Paride Legovini]

 -- Chad Smith <chad.smith@canonical.com>  Mon, 28 Jan 2019 20:27:06 -0700

cloud-init (18.5-17-gd1a2fe73-0ubuntu1~16.04.1) xenial; urgency=medium

  * drop the following cherry-picks now included:
    + cpick-1d5e9aef-azure-Add-apply_network_config-option-to-disable
  * refresh patches:
   + debian/patches/azure-apply-network-config-false.patch
  * refresh patches:
   + debian/patches/azure-apply-network-config-false.patch
   + debian/patches/azure-use-walinux-agent.patch
  * New upstream snapshot.
    - opennebula: exclude EPOCHREALTIME as known bash env variable with a delta
    - tox: fix disco httpretty dependencies for py37
    - run-container: uncomment baseurl in yum.repos.d/*.repo when using a
      proxy [Paride Legovini]
    - lxd: install zfs-linux instead of zfs meta package [Johnson Shi]
    - net/sysconfig: do not write a resolv.conf file with only the header.
      [Robert Schweikert]
    - net: Make sysconfig renderer compatible with Network Manager.
      [Eduardo Otubo]
    - cc_set_passwords: Fix regex when parsing hashed passwords
      [Marlin Cremers]
    - net: Wait for dhclient to daemonize before reading lease file
      [Jason Zions]
    - [Azure] Increase retries when talking to Wireserver during metadata walk
      [Jason Zions]
    - Add documentation on adding a datasource.
    - doc: clean up some datasource documentation.
    - ds-identify: fix wrong variable name in ovf_vmware_transport_guestinfo.
    - Scaleway: Support ssh keys provided inside an instance tag. [PORTE Loïc]
    - OVF: simplify expected return values of transport functions.
    - Vmware: Add support for the com.vmware.guestInfo OVF transport.
    - HACKING.rst: change contact info to Josh Powers
    - Update to pylint 2.2.2.
    - Release 18.5
    - tests: add Disco release [Joshua Powers]
    - net: render 'metric' values in per-subnet routes
    - write_files: add support for appending to files. [James Baxter]
    - config: On ubuntu select cloud archive mirrors for armel, armhf, arm64.
    - dhclient-hook: cleanups, tests and fix a bug on 'down' event.
    - NoCloud: Allow top level 'network' key in network-config.
    - ovf: Fix ovf network config generation gateway/routes
    - azure: detect vnet migration via netlink media change event
      [Tamilmani Manoharan]
    - Azure: fix copy/paste error in error handling when reading azure ovf.
      [Adam DePue]
    - tests: fix incorrect order of mocks in test_handle_zfs_root.
    - doc: Change dns_nameserver property to dns_nameservers. [Tomer Cohen]
    - OVF: identify label iso9660 filesystems with label 'OVF ENV'.
    - logs: collect-logs ignore instance-data-sensitive.json on non-root user
    - net: Ephemeral*Network: add connectivity check via URL
    - azure: _poll_imds only retry on 404. Fail on Timeout
    - resizefs: Prefix discovered devpath with '/dev/' when path does not
      exist [Igor Galić]
    - azure: retry imds polling on requests.Timeout
    - azure: Accept variation in error msg from mount for ntfs volumes
      [Jason Zions]
    - azure: fix regression introduced when persisting ephemeral dhcp lease
      [Aswin Rajamannar]
    - azure: add udev rules to create cloud-init Gen2 disk name symlinks
    - tests: ec2 mock missing httpretty user-data and instance-identity routes
    - azure: remove /etc/netplan/90-hotplug-azure.yaml when net from IMDS
    - azure: report ready to fabric after reprovision and reduce logging
      [Aswin Rajamannar]
    - query: better error when missing read permission on instance-data
    - instance-data: fallback to instance-data.json if sensitive is absent.
    - docs: remove colon from network v1 config example. [Tomer Cohen]
    - Add cloud-id binary to packages for SUSE [Jason Zions]
    - systemd: On SUSE ensure cloud-init.service runs before wicked
      [Robert Schweikert]
    - update detection of openSUSE variants [Robert Schweikert]
    - azure: Add apply_network_config option to disable network from IMDS
    - Correct spelling in an error message (udevadm). [Katie McLaughlin]
    - tests: meta_data key changed to meta-data in ec2 instance-data.json
    - tests: fix kvm integration test to assert flexible config-disk path
    - tools: Add cloud-id command line utility
    - instance-data: Add standard keys platform and subplatform. Refactor ec2.
    - net: ignore nics that have "zero" mac address.
    - tests: fix apt_configure_primary to be more flexible
    - Ubuntu: update sources.list to comment out deb-src entries.

 -- Chad Smith <chad.smith@canonical.com>  Sat, 26 Jan 2019 14:08:36 -0700
