## cloud-init 18.5-45-g3554ffe8

=== debian/changelog ===
cloud-init (18.5-45-g3554ffe8-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream snapshot. (LP: #1819067)
    - cloud-init-per: POSIX sh does not support string subst, use sed
    - Support locking user with usermod if passwd is not available.
      [Scott Moser]
    - Example for Microsoft Azure data disk added. [Anton Olifir]
    - clean: correctly determine the path for excluding seed directory
    - helpers/openstack: Treat unknown link types as physical
    - drop Python 2.6 support and our NIH version detection
    - tip-pylint: Fix assignment-from-return-none errors
    - net: append type:dhcp[46] only if dhcp[46] is True in v2 netconfig
      [Kurt Stieger]
    - cc_apt_pipelining: stop disabling pipelining by default
    - tests: fix some slow tests and some leaking state
    - util: don't determine string_types ourselves
    - cc_rsyslog: Escape possible nested set
    - Enable encrypted_data_bag_secret support for Chef [Eric Williams]
    - azure: Filter list of ssh keys pulled from fabric [Jason Zions (MSFT)]
    - doc: update merging doc with fixes and some additional details/examples
    - tests: integration test failure summary to use traceback if empty error
    - This is to fix https://bugs.launchpad.net/cloud-init/+bug/1812676
      [Vitaly Kuznetsov]
    - EC2: Rewrite network config on AWS Classic instances every boot
      [Guilherme G. Piccoli]
    - netinfo: Adjust ifconfig output parsing for FreeBSD ipv6 entries
    - netplan: Don't render yaml aliases when dumping netplan
    - add PyCharm IDE .idea/ path to .gitignore [Dominic Schlegel]
    - correct grammar issue in instance metadata documentation
      [Dominic Schlegel]
    - clean: cloud-init clean should not trace when run from within cloud_dir
    - Resolve flake8 comparison and pycodestyle over-ident issues
      [Paride Legovini]
  * Update netplan dependency package (LP: #1813667)
  * Fix build-depends-on-obsolete-package for dh-systemd
  * Change Priority from extra to optional
  * Override lintian warnings about WantedBy=cloud-init.target
  * Change Maintainer to Ubuntu Developers
  * d/postinst: remove now-incorrect apt pipelining configuration

 -- Daniel Watkins <oddbloke@ubuntu.com>  Mon, 11 Mar 2019 17:07:54 -0400

cloud-init (18.5-21-g8ee294d5-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream snapshot. (LP: #1813346)
    - opennebula: also exclude epochseconds from changed environment vars
    - systemd: Render generator from template to account for system
      differences. [Robert Schweikert]
    - sysconfig: On SUSE, use STARTMODE instead of ONBOOT [Robert Schweikert]
    - flake8: use ==/!= to compare str, bytes, and int literals
      [Paride Legovini]

 -- Chad Smith <chad.smith@canonical.com>  Mon, 28 Jan 2019 20:25:39 -0700

cloud-init (18.5-17-gd1a2fe73-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream snapshot.
    - opennebula: exclude EPOCHREALTIME as known bash env variable with a delta
    - tox: fix disco httpretty dependencies for py37
    - run-container: uncomment baseurl in yum.repos.d/*.repo when using a
      proxy [Paride Legovini]
    - lxd: install zfs-linux instead of zfs meta package [Johnson Shi]
    - net/sysconfig: do not write a resolv.conf file with only the header.
      [Robert Schweikert]
    - net: Make sysconfig renderer compatible with Network Manager.
      [Eduardo Otubo]
    - cc_set_passwords: Fix regex when parsing hashed passwords
      [Marlin Cremers]
    - net: Wait for dhclient to daemonize before reading lease file
      [Jason Zions]
    - [Azure] Increase retries when talking to Wireserver during metadata walk
      [Jason Zions]
    - Add documentation on adding a datasource.
    - doc: clean up some datasource documentation.
    - ds-identify: fix wrong variable name in ovf_vmware_transport_guestinfo.
    - Scaleway: Support ssh keys provided inside an instance tag. [PORTE Loïc]
    - OVF: simplify expected return values of transport functions.
    - Vmware: Add support for the com.vmware.guestInfo OVF transport.
    - HACKING.rst: change contact info to Josh Powers
    - Update to pylint 2.2.2.
    - Release 18.5
    - tests: add Disco release [Joshua Powers]
    - net: render 'metric' values in per-subnet routes
    - write_files: add support for appending to files. [James Baxter]
    - config: On ubuntu select cloud archive mirrors for armel, armhf, arm64.
    - dhclient-hook: cleanups, tests and fix a bug on 'down' event.
    - NoCloud: Allow top level 'network' key in network-config.
    - ovf: Fix ovf network config generation gateway/routes
    - azure: detect vnet migration via netlink media change event
      [Tamilmani Manoharan]
    - Azure: fix copy/paste error in error handling when reading azure ovf.
      [Adam DePue]
    - tests: fix incorrect order of mocks in test_handle_zfs_root.
    - doc: Change dns_nameserver property to dns_nameservers. [Tomer Cohen]
    - OVF: identify label iso9660 filesystems with label 'OVF ENV'.
    - logs: collect-logs ignore instance-data-sensitive.json on non-root user
    - net: Ephemeral*Network: add connectivity check via URL
    - azure: _poll_imds only retry on 404. Fail on Timeout
    - resizefs: Prefix discovered devpath with '/dev/' when path does not
      exist [Igor Galić]
    - azure: retry imds polling on requests.Timeout
    - azure: Accept variation in error msg from mount for ntfs volumes
      [Jason Zions]
    - azure: fix regression introduced when persisting ephemeral dhcp lease
      [Aswin Rajamannar]
    - azure: add udev rules to create cloud-init Gen2 disk name symlinks
    - tests: ec2 mock missing httpretty user-data and instance-identity routes
    - azure: remove /etc/netplan/90-hotplug-azure.yaml when net from IMDS
    - azure: report ready to fabric after reprovision and reduce logging
      [Aswin Rajamannar]
    - query: better error when missing read permission on instance-data
